package com.yonge.cooleshow.service;

import com.yonge.cooleshow.sdk.req.OrderPayReq;
import com.yonge.cooleshow.sdk.req.OrderRefundReq;
import com.yonge.cooleshow.sdk.res.OrderPayRes;
import com.yonge.cooleshow.sdk.res.OrderRefundRes;

/**
 * Description 支付服务
 *
 * @author liujunchi
 * @date 2022-04-21
 */
public interface PaymentService {

    /**
     * 调用支付
     *
     * @param payReq
     * @return
     */
    OrderPayRes orderPay(OrderPayReq payReq);

    OrderPayRes orderPayWaitPay(OrderPayReq payReq);


    OrderPayRes orderPayPaying(OrderPayReq payReq);

    OrderRefundRes orderRefund(OrderRefundReq refundReq);
}
